Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Unhappy [Q]How to update HTC One SV LTE Europe to Android 4.2.2? OTA update issue.

OP DaRkSe7eN

24th February 2014, 03:00 AM   |  #1  
OP Junior Member
Thanks Meter: 0
 
18 posts
Join Date:Joined: Mar 2013
My Phone Information :
- Android Version : 4.1.2
- HTC sense 4.0
- Software : 1.17.401.5
- HTC sdk api level 4.25
- HTC extension version : HTCExtension_403_1_GA_28
- Kernel Version : 3.0.21-g1c7e7c5root@abm009#1SMP PREEMPT
- Baseband Version : 0.12.40.00.14_2_10.49.40.11L
- Build Number : 1.17.401.5 CL177060 release-keys
- Browser version : 534.30
- k2_uL PUT SHIP S-OFF RL
- CID-11111111
- HBOOT-1.01.0000
- RADIO-0.12.40.00.14_2
- OPENDSP-V7.2.0221.1123
- emmc-boot
- dec 7 2012,03:10:20:12772

--
Problem :
- After i finish downloading the software update. The Software installation always fail. It's looking for an Europe OTA..

--
Question :

Can i manual update via fastboot?.

Do i need to Unlock my bootloader?

Do i need to change to switch s-on or s-off?..

Do i need to root my device?..
Last edited by DaRkSe7eN; 24th February 2014 at 04:31 AM.
24th February 2014, 05:58 AM   |  #2  
old.splatterhand's Avatar
Recognized Contributor
Flag Saturn III
Thanks Meter: 1,676
 
2,831 posts
Join Date:Joined: Nov 2010
Donate to Me
You are writing weird specs from your phone:
- In this post you are writing if you should unlock and root.
Quote:
Originally Posted by DaRkSe7eN

I have HTC One SV LTE Europe. Non-Rooted..
Do i need to unlock my bootloader & root my device?..

But above you mention, that device is S-Off with Supercid. To get this, you must be that! What's the fact now?

Above you write, you have Android 4.1.2, but this would be Software 2.14.xxx.x and you are writing 1.17.401.5, what does not fit together. Also hboot seems to be the first one.
So i think, you don't have stock recovery or other things not stock, that is why OTA fails!
Have you tried to flash the k2ul RUU to restore everything stock?

More information, please!
24th February 2014, 07:36 AM   |  #3  
OP Junior Member
Thanks Meter: 0
 
18 posts
Join Date:Joined: Mar 2013
Unhappy
Quote:
Originally Posted by old.splatterhand

You are writing weird specs from your phone:
- In this post you are writing if you should unlock and root.

But above you mention, that device is S-Off with Supercid. To get this, you must be that! What's the fact now?

Above you write, you have Android 4.1.2, but this would be Software 2.14.xxx.x and you are writing 1.17.401.5, what does not fit together. Also hboot seems to be the first one.
So i think, you don't have stock recovery or other things not stock, that is why OTA fails!
Have you tried to flash the k2ul RUU to restore everything stock?

More information, please!

i just update my device from its original ICS stock ROM to its latest update 4.1.2. Not yet been rooted. and recenty bootloader is unlocked. and i haven't tried to flash r2UL RUU..

Do i need to downgrade or reflash it back from its original stock ICS 4.x.x so that i can update it to the latest update 4.2.2 and skip 4.1.2 software update?..

Is the right RUU for my phone..

Quote:

RUU_K2_UL_ICS_40_HTC_Europe_1.17.401.5_R_Radio_0.1 2.40.00.14_2_10.49.40.11L_release_301902_signed.ex e

and i already downloaded the fastboot file.. and

Quote:

OTA_K2_UL_JB422_SENSE50_MR_HTC_Europe_3.11.401.1-2.14.401.6_release_338297mseg08soslxcubit.zip

for my device.
24th February 2014, 07:58 AM   |  #4  
old.splatterhand's Avatar
Recognized Contributor
Flag Saturn III
Thanks Meter: 1,676
 
2,831 posts
Join Date:Joined: Nov 2010
Donate to Me
But if you have 4.1.2, why are you talking about Software 1.17.xxx and hboot 1.01?
That does not fit together. And until this is not finally solved, i won't give any solutions (which could be wrong, based on wrong information).
24th February 2014, 08:43 AM   |  #5  
OP Junior Member
Thanks Meter: 0
 
18 posts
Join Date:Joined: Mar 2013
Unhappy
Quote:
Originally Posted by old.splatterhand

But if you have 4.1.2, why are you talking about Software 1.17.xxx and hboot 1.01?
That does not fit together. And until this is not finally solved, i won't give any solutions (which could be wrong, based on wrong information).

The information you've seen at my thread post is my current information.

What i wanted is to upgrade my phone into 4.2.2 from current OS 4.1.2 with a software number 1.17.401.5.

Quote:

My Phone Information :
- Android Version : 4.1.2
- HTC sense 4.0
- Software : 1.17.401.5
- HTC sdk api level 4.25
- HTC extension version : HTCExtension_403_1_GA_28
- Kernel Version : 3.0.21-g1c7e7c5root@abm009#1SMP PREEMPT
- Baseband Version : 0.12.40.00.14_2_10.49.40.11L
- Build Number : 1.17.401.5 CL177060 release-keys
- Browser version : 534.30
- k2_uL PUT SHIP S-OFF RL
- CID-11111111
- HBOOT-1.01.0000
- RADIO-0.12.40.00.14_2
- OPENDSP-V7.2.0221.1123
- emmc-boot
- dec 7 2012,03:10:20:12772

But when i update my device from OS 4.1.2 with a software number 1.17.401.5. and install.. It fails and looking for Europe OTA..

And I think the only way to upgrade it to the latest one is to flash the latest OTA via fastboot.. That's why i downloaded :
Quote:

OTA_K2_UL_JB422_SENSE50_MR_HTC_Europe_3.11.401.1-2.14.401.6_release_338297mseg08soslxcubit.zip

if posible..

And now i'm asking. Do i need to downgrade using :
Quote:

RUU_K2_UL_ICS_40_HTC_Europe_1.17.401.5_R_Radio_0.1 2.40.00.14_2_10.49.40.11L_release_301902_signed.ex e
ICS RUU for k2ul

Source [ Click Here ]

and upgrade it to the latest Android version 4.2.2 directly.
Last edited by DaRkSe7eN; 24th February 2014 at 08:53 AM.
24th February 2014, 08:50 AM   |  #6  
old.splatterhand's Avatar
Recognized Contributor
Flag Saturn III
Thanks Meter: 1,676
 
2,831 posts
Join Date:Joined: Nov 2010
Donate to Me
I understand, what you want to get, but in short words:
Software 1.17.401.5 IS NOT Android 4.1.2!
So your info is misleading.
24th February 2014, 09:16 AM   |  #7  
OP Junior Member
Thanks Meter: 0
 
18 posts
Join Date:Joined: Mar 2013
Unhappy
Quote:
Originally Posted by old.splatterhand

I understand, what you want to get, but in short words:
Software 1.17.401.5 IS NOT Android 4.1.2!
So your info is misleading.

I don't know. That's my android version and software version and i already double check it so that i can clear my device information..

Quote:

Android Version : 4.1.2
Software information : 1.17.401.5

Please help me.. What should i do?.. I want to upgrade my device to android 4.2.2..
Last edited by DaRkSe7eN; 24th February 2014 at 09:44 AM.
24th February 2014, 09:51 AM   |  #8  
old.splatterhand's Avatar
Recognized Contributor
Flag Saturn III
Thanks Meter: 1,676
 
2,831 posts
Join Date:Joined: Nov 2010
Donate to Me
You can try to flash the RUU (you've already found), but on your own risk.
If that is successful, run all the updates.
24th February 2014, 10:18 AM   |  #9  
OP Junior Member
Thanks Meter: 0
 
18 posts
Join Date:Joined: Mar 2013
Unhappy
Quote:
Originally Posted by old.splatterhand

You can try to flash the RUU (you've already found), but on your own risk.
If that is successful, run all the updates.

So it means i should give it a try.. to do flash RUU downgrade.. and do software upgrade (not andriod version upgrade).. please confirm so that i can start now. and give you a feedback if it really works..

Sorry for my terms.. What i mean is "Software Version Upgrade" and not "Android Version Upgrade".. Maybe i'm confused between Software and Android Version update.. Thats all.
24th February 2014, 10:24 AM   |  #10  
old.splatterhand's Avatar
Recognized Contributor
Flag Saturn III
Thanks Meter: 1,676
 
2,831 posts
Join Date:Joined: Nov 2010
Donate to Me
If your hboot is 1.xx, your device is S-off and you have Supercid (like written in your info), it can work.
And then it would be more a software downgrade, than an upgrade.

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes